package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SEBLMVLINK"
)
public class SEBLMVLINK {
   @XmlAttribute(
      name = "BCNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String bcname;
   @XmlAttribute(
      name = "MVLINK",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String mvlink;
   @XmlAttribute(
      name = "DESTLINK",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String destlink;
   @XmlAttribute(
      name = "DESTBC",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String destbc;
   @XmlAttribute(
      name = "SRCFIELD",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String srcfield;
   @XmlAttribute(
      name = "PRIMARYID"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String primaryid;

   public String getBCNAME() {
      return this.bcname;
   }

   public void setBCNAME(String value) {
      this.bcname = value;
   }

   public String getMVLINK() {
      return this.mvlink;
   }

   public void setMVLINK(String value) {
      this.mvlink = value;
   }

   public String getDESTLINK() {
      return this.destlink;
   }

   public void setDESTLINK(String value) {
      this.destlink = value;
   }

   public String getDESTBC() {
      return this.destbc;
   }

   public void setDESTBC(String value) {
      this.destbc = value;
   }

   public String getSRCFIELD() {
      return this.srcfield;
   }

   public void setSRCFIELD(String value) {
      this.srcfield = value;
   }

   public String getPRIMARYID() {
      return this.primaryid;
   }

   public void setPRIMARYID(String value) {
      this.primaryid = value;
   }
}
